<mat-form-field class="example-form-field" appearance="fill">
  <mat-label>System/Body ID64</mat-label>
  <input matInput type="text" [(ngModel)]="id64">
</mat-form-field>
<button mat-stroked-button (click)="calculateID64()">Calculate</button>
<br>
<ng-template [ngIf]="id64Bits">
  <div class="box">
    <span *ngFor="let bit of id64Bits; let i = index" [class]="id64BitClasses[i]">{{bit ? 1 : 0}}</span>
  </div>
</ng-template>
<div *ngFor="let values of id64ClassValues" >{{values}}</div>
